Welcome to Kingsoft Equation Editor

Kingsoft Equation Editor is a special version of the MathType equation editor from Design Science. For more information about the advanced features that MathType offers, see Upgrading Equation Editor to MathType.

Thank you for using Kingsoft Equation Editor. We hope you will have an enjoyable experience using our product.

[Design Science Home]
http://www.dessci.com
Copyright © 1996-2007 Design Science, Inc. All rights reserved.


Getting Started

In This Chapter

What is the Kingsoft Equation Editor?

Upgrading Equation Editor to MathType


What is the Kingsoft Equation Editor?

This Kingsoft Equation Editor is a special version of the MathType equation editor from Design Science. Using Equation Editor, you can build complex equations by picking symbols from a toolbar and typing variables and numbers. As you build an equation, Equation Editor automatically adjusts font sizes, spacing, and formatting in keeping with mathematical typesetting conventions. You can also adjust formatting as you work and redefine the automatic styles.

The top row of the Equation Editor toolbar has buttons for inserting more than 150 mathematical symbols, many of which are not available in the standard Symbol font. To insert a symbol in an equation, click a button on the top row of the toolbar, and then click the specific symbol from the palette that appears under the button.

The bottom row of the Equation Editor toolbar has buttons for inserting templates or frameworks that contain such symbols as fractions, radicals, summations, integrals, products, matrices, and various fences or matching pairs of symbols such as brackets and braces. Many templates contain slots ? spaces into which you type text and insert symbols. There are about 120 templates, grouped on palettes. You can nest templates ? insert templates in the slots of other templates ? to build complex hierarchical formulas.

Besides making it easy to insert symbols and templates, Equation Editor includes many other features that make easy to create equations:

  • Styles give you control over how characters and words are rendered
  • Embellishments make it easy to add primes, hats, bars, and dots to variables
  • Spacing and Alignment is easy to do with pre-defined spaces, nudging and the ability to line up equation vertically
  • Zoom and Redraw allow you to enlarge your equation to examine it in more detail or redraw it to remove any stray marks

For more information about the advanced features that MathType offers, see Upgrading Equation Editor to MathType.

Previous Topic

Next Topic


Upgrading Equation Editor to MathType

Upgrading Equation Editor to MathType?

MathType by Design Science is the powerful, full-featured version of Equation Editor. If you frequently include equations in your documents, you will find MathType is much better suited to your needs. MathType is as easy to use as Equation Editor and has many extra features to help you work faster and create better-looking documents.

MathType includes:

  • Euclid font set with hundreds of additional math symbols.
  • New templates and symbols for geometry, chemistry and much more.
  • Professional color support.
  • Create equations for World Wide Web documents.
  • Translators that output equations to other languages such as TeX, AMS-TeX, LaTeX, MathML and custom languages.
  • Special commands for equation numbering, formatting, and converting word processing documents.
  • Customizable toolbars to hold hundreds of your most frequently used symbols, expressions and equations.
  • Customizable keyboard shortcuts.
  • A comprehensive printed user manual, loaded with tips and tutorials.
  • Much morec

Design Science continuously enhances MathType, implementing the latest technology to make equation writing easier and compatible with all your favorite software.

Visit MathType on the World Wide Web, or call Design Science to receive complete and current information about MathType.

Design Science, Inc.
800- 827-0685 (United States and Canada only)
1-562-432-2920 (outside the United States and Canada)
1-562-432-2857 (fax)
Email: sales@dessci.com
Website: http://www.dessci.com


Using the Equation Editor

In This Chapter

Creating an Equation

Editing an equation

The Insertion Point in an Equation

Selecting Items in an Equation

Deleting Items from an Equation

Typing Text in an Equation

Style and Sizing

Spacing and Alignment


Creating an Equation

You build equations by selecting templates and symbols from the toolbar and typing variables and numbers in the slots provided. As you build an equation, Equation Editor automatically adjusts font sizes, spacing, and formatting in keeping with mathematical typesetting conventions. You can also adjust formatting as you work and redefine the automatic styles.

  1. Do any of the following:
    • Choose a template from the bottom row of the toolbar and fill in the slots.
    • Choose symbols from the top row of the toolbar.
    • Type the text you want.
  2. When you have finished the equation, either click on Update (in the File menu) to update the equation in the document or Exit (also under the File menu) to exit the Equation Editor.

Tip: To nest a template within a template, select the template you want to nest in the Equation Editor window and then choose a template from the toolbar.


Editing an equation

If you double-click an equation, the Equation Editor window opens for you to make changes. If you start Equation Editor as a separate application, you can edit an equation and then update it in your document.

  1. Double-click the equation.
    • The Equation Editor toolbar appears and its menu bar temporarily replaces the application menu bar.
  2. Make the changes you want.
    • You can add, delete, or change elements in an equation. You can also apply a different style, size, or formatting to text, or adjust spacing and location of elements.
  3. When you have finished the equation, either click on Update (in the File menu) to update the equation in the document or Exit (also under the File menu) to exit the Equation Editor.


The Insertion Point in an Equation

The size and shape of the insertion point tell you where the next text you type or symbols you insert will appear. The insertion point's horizontal bar runs along the slot's bottom edge. Its vertical bar runs from the top to the bottom of the slot. To position the insertion point, point and click.

Using the keyboard: You can also use the keyboard to move in increments through an equation; see Positioning the Insertion Point.


Selecting Items in an Equation

You select most items just as you do in other applications. Equation Editor provides additional methods for selecting slots, matrices, and the symbols inserted as part of templates, such as character embellishments, summation signs, and expanding fences.

Use one of the following mouse or keyboard methods:

To select | Do this
An area of an equation | Click the starting point and drag over the area. If the expression to be selected is partially outside the window, point to the edge of the window. You can also hold down the SHIFT key and press any of the arrow keys to extend the selection.
A symbol within a template | Hold down the CTRL key. When the pointer changes to an outline arrow, click the symbol.
A slot's contents | Double-click anywhere in the slot.
A matrix | Drag over the expressions in the matrix to select them.
An entire equation | From the Edit menu, choose Select All. or Double-click anywhere in the main (outermost) slot.


Deleting Items from an Equation

Use the following techniques to delete items from an equation.

To delete the character or symbol to the left of the insertion point

  • Press BACKSPACE.

To delete the character or symbol to the right of the insertion point

  • Press DELETE.

To delete the contents of a slot

  1. Select the contents of the slot.
  2. Press DELETE.

To delete a slot

  1. If the slot is not empty, delete the contents of the slot.
  2. Select the slot.
  3. From the Edit menu, choose Clear.

Note: Some slots can't be deleted without deleting the template that contains them. For example, you can't delete the integrand slot from an integral.

To delete a template

  1. Select the template symbol and all its slots.
  2. Press DELETE.

To delete a selection

Do one of the following:

  • Press DELETE.
  • From the Edit menu, choose Clear.
  • Begin typing to replace the selection with what you type.

To reverse a deletion

  • Immediately after deleting the item, from the Edit menu, choose Undo Typing.


Typing Text in an Equation

You can type any text you want in an equation as long as you use the Text style. However, the Text style does not apply the special formatting that Equation Editor applies to equations. Generally, it is best to use the Text style only for putting alphabetical characters or text into equations, such as the expression "for all."

In most cases, Equation Editor automatically adjusts the spacing between numbers, symbols, and variables as you build an equation. You should use the SPACEBAR only when you are using the Text style. You can adjust spacing by using formatting commands or by choosing a spacing character from one of the symbol palettes. When you type text in an equation ? for instance, a named variable ? you automatically apply the Text style and can use the SPACEBAR to add spaces between words.

As you type, press ENTER only when you want to create a new slot directly beneath the current one, for example, to create two lines of text or stack equations. To arrange most items, however, insert a template with slots in the appropriate positions.

Unless you're using Text style, symbols automatically replace some characters as you type. For example, a minus sign with spaces on either side replaces a hyphen. In other cases, you need to choose symbols from the palettes instead of typing characters on the keyboard. For example, if you type brackets and then add to the expression they enclose, the brackets won't expand. If you need brackets that adjust to the size of the expression, insert the appropriate template from the Fences palette.


Style and Sizing

In This Chapter

Formatting an Equation

Defining Styles

Changing a Style

Changing the Display Size of an Equation

Mathematical Element Sizes


Formatting an Equation

Some types of formatting are best handled using a word processor after you enter the equation in a document. Here are some tips.

Numbering Equations

Often, you may want to number the equations in a document. The numbers usually are included beside the equations, aligned with the document's left or right margin.

This can be done with Equation Editor by inserting the number in the equation's main slot, adding appropriate spacing, and then carefully positioning the equation in the document. But this technique has its limitations. If you number equations in this way and want to change the document margins or the equation numbers, you have to edit the equation in Equation Editor.

If you are using a word processor, it's best to position the equation using a center-aligned tab and then use the Sequence field {seq eq} to add numbering. Position the Sequence field using a left-aligned or right-aligned tab.

Making Slides

If you plan to use equations in slides (viewgraphs, overheads, foils, and so forth), it's best to create a normal-size equation in Equation Editor. You can easily enlarge the equation after adding it to a slide. This method works better than trying to create the equation with oversized characters in Equation Editor.


Defining Styles

You can define the styles in Equation Editor in any way you want, but you probably will want to follow the typesetting conventions for mathematical publications. For many of the styles, you will want to assign the font used for the main body of the text in your document; this font is referred to as your primary font.

Math

Math style is not defined in terms of a font and character formats. When you work in Math style, Equation Editor applies a function recognition algorithm to all characters, looking for the names of mathematical functions such as sin, log, or exp. Function names are assigned the Function style, and all other letters are given the Variable style.

Text

Use Text style when you enter words that you don't want interpreted as variables, vectors, matrices, or other mathematical items. In Text style, Equation Editor does not automatically adjust formatting based on mathematical and typesetting conventions. To add spaces in Text style, you can use the SPACEBAR. You probably will want your Text style to match the primary font used in your document, with the same character formatting.

Function

Function style is used for the abbreviations for standard mathematical functions such as sin and log. You probably will want your Function style to match your document's primary font, with the same character formatting.

Variable

Variable style is used for letters that represent variables and constants. You probably will want your Variable style to be your primary font with italic format.

Lowercase Greek

Lowercase Greek style is used for lowercase Greek characters. The Symbol font is used, usually with italic format.

Uppercase Greek

Uppercase Greek style is used for uppercase Greek characters. Usually, it is defined as the Symbol font.

Symbol

Symbol style is used for mathematical operators such as + and =, for summation and integral signs, and for other special characters. Equation Editor requires the Symbol style to be assigned the Symbol font.

Matrix-Vector

Matrix-Vector style is used for characters that represent matrix or vector quantities. The font assigned to the Variable style usually is used, with a bold format. Some people like to use a sans serif font such as Helvetica.

Number

The Number style is used for the numerals 0 (zero) through 9. The assignment is automatic: you cannot choose the Number style to assign it to a selection. The font assigned to the Variable style usually is used for the Number style, with plain character formatting. If you will be making tables with columns of numbers that should align, your Number font should have numbers that are all the same width. Most Windows fonts, even proportional-width ones such as Times Roman, have this property, but a few do not.

_____________

See also

Applying A Different Built-in Style

Changing A Style


Changing a Style

In This Chapter

Guidelines for Changing a Style

Applying Greek or Matrix-Vector Style

Applying a Different Built-in Style

Applying Other Styles


Guidelines for Changing a Style

Using the Define command on the Style menu, you can change the font and character formats defined for each built-in style (the Math style has no font and format assignments).

  1. From the Style menu, choose Define.
  2. Click the arrow to the right of the style you want to define. A list box shows the fonts available on your default printer.
  3. Select the name of the font you want to use. You can scroll through the list of fonts.
  4. To specify a bold or italic character format, select the Bold or Italic check box under Character Format. Click the check box again to clear the format.

For the Text and Function styles, you probably should use the same font used for text in the document. By convention, the Variable style should be the italic format of the text font, and the Matrix-Vector style should be the bold format of the text font.

When you change the formatting in the Styles dialog box, the changes affect the equation in the open Equation Editor window. Other equations are affected when you edit them.


Applying Greek or Matrix-Vector Style

You can use a keyboard shortcut to apply the Greek or Matrix-Vector style to the next character you type and then return to the current style for the second character. For example, if you want to type a single Greek letter (for instance, [image], the Greek lowercase b) and then continue typing in the Math style, press CTRL+G, b.

Press one of the following key combinations:

To assign | Press
Greek | CTRL+G
Matrix-Vector | CTRL+B


Applying a Different Built-in Style

The styles that Equation Editor applies automatically give the results you want most of the time. The most common cause of formatting errors is typing a word that includes a function abbreviation.

For example, if you type the word single, Equation Editor interprets the text as "the sine of g times l times e," displaying something like "sin gle". To prevent this type of mistake, choose Text from the Style menu before you begin typing a word.

  1. Select the text to which you want to apply a style, or position the insertion point where you want the formatting to start as you type.
  2. Choose the style name from the Style menu, or press one of the following key combinations.

To assign this style | Press
Math | CTRL+SHIFT+=
Text | CTRL+SHIFT+E
Function | CTRL+SHIFT+F
Variable | CTRL+SHIFT+I
Greek | CTRL+SHIFT+G
Matrix-Vector | CTRL+SHIFT+B

Note When you choose Greek from the Style menu, Equation Editor applies either the Uppercase Greek or Lowercase Greek style, depending on the case of the typed characters.


Applying Other Styles

You can apply font and character formatting that isn't assigned to an Equation Editor style by using the Other command on the Style menu.

  1. Select the text you want to format.
  2. From the Style menu, choose Other.
  3. In the Fonts box, select the font that you want to assign. To apply italic or bold formatting, select the Italic or Bold check box.
  4. Choose the OK button.


Changing the Display Size of an Equation

You can enlarge or reduce the Equation Editor display to suit your current task. Changing the size of the equation in the Equation Editor window does not affect the size of the equation in the document.

Do one of the following:

  • From the View menu, choose 100%, 200%, or 400%.
  • From the View menu, choose Zoom. Type a percentage between 25 and 400 in the Custom box and choose OK.

Note: The 400% size is particularly useful when you nudge items to make fine adjustments to their spacing. For information about nudging, see Making Fine Adjustments to an Equation.


Mathematical Element Sizes

In This Chapter

Mathematical Element Sizes in an Equation

Applying Mathematical Element Sizes in an Equation

Standard Mathematical Element Sizes in Equations

Changing the Definition of a Mathematical Element Size in an Equation


Mathematical Element Sizes in an Equation

In Equation Editor, the size of a character is determined by its function in an equation, for example, whether the character is an exponent or subscript.

Each slot in an equation has an associated size. When you insert characters in a slot, they are assigned the size of that slot. When you insert a template in a slot, the text sizes of the new template's slots are based on the text size of the slot you inserted it in. For example, if you insert an integral template into a subscript-size slot, the new template's integrand slot is subscript size, its integral sign is sub- symbol size, and its limits are in sub-subscript size.

Although templates can be nested within templates, the sizes assigned to slots are never smaller than the sub-subscript size, in keeping with typesetting conventions.


Applying Mathematical Element Sizes in an Equation

You can change the size of characters by using one of the standard math element sizes, or you can assign a point size directly to any character, sequence of characters, or symbol in a template.

To apply a standard size

  1. Select the items you want to resize.
  2. From the Size menu, choose one of the five standard math element sizes.

To apply a point size directly

  1. Select the items you want to resize.
  2. From the Size menu, choose Other.
  3. In the Size box, type a number between 2 and 127 to specify a point size. (One inch equals 72 points.)
  4. Choose the OK button.

When you select any text formatted in a custom size, the Other command is checked on the Size menu, and the point size appears next to the command name.


Standard Mathematical Element Sizes in Equations

Each character initially is assigned one of five standard math element sizes.

Full

Assigned to ordinary characters within most slots.

Subscript

Used for subscripts and superscripts attached to Full size characters. Also used in limits in integral, summation, and other templates.

Sub-Subscript

Used for subscripts and superscripts attached to Subscript size characters or in any other situation that requires a second level of size reduction. Also used for limit slots of templates inside the limits of other templates. For example, the Sub-Subscript size is used for a superscript within a limit of integration.

Symbol

Used for the oversize symbols that are part of the templates for integrals, summations, products, and so forth.

Sub-Symbol

Used for oversize symbols in Subscript size slots.

_____________

See also

Applying Mathematical Element Sizes in an Equation

Changing the Definition of a Mathematical Element Size in an Equation


Changing the Definition of a Mathematical Element Size in an Equation

By changing the definition of a standard math element size, you can quickly change the size of all the characters that use that math element size. To redefine a size, use the Define command on the Size menu.

  1. From the Size menu, choose Define.
  2. Select the point size in the box next to the math element size you want to change. The graphic display in the dialog box shows which characters will be affected by the change.
  3. Type the new size and choose the OK button.

When you type a number, Equation Editor assumes that you want to specify points. To change the unit of measurement, add one of the following abbreviations.

Unit | Abbreviation
Inches | in
Centimeters | cm
Millimeters | mm
Points | pt

To see the effect of changes before saving them, click the Apply button. To restore default sizes, choose the Defaults button. When you make changes in the Sizes dialog box, the equation you are editing is redrawn using the new sizes. Equations that are saved in documents will not be affected unless you edit them after changing font sizes.

Tip: You may want to specify the point size of the standard math element sizes as a percentage of the Full size. That way, if you change the Full size, the other standard sizes stay proportional. For example, if the Full size is 12 points and you set a subscript depth of 25 percent, subscripts are shifted to 3 points below the base line of the text (the bottom of most characters). If you change the Full size to 10 points, subscripts are shifted down only 2.5 points. To specify a percentage, type a number followed by the percent sign (%).


Spacing and Alignment

In This Chapter

Understanding Spacing and Alignment in an Equation

Changing Spacing in an Equation

Making Fine Adjustments to an Equation

Changing a Spacing Definition in an Equation

Aligning an Equation


Understanding Spacing and Alignment in an Equation

Equation Editor follows standard typesetting conventions and automatically adjusts spacing between elements as you build an equation. You can modify the spacing or alignment of some of the elements in an equation either by adding spacing symbols or by nudging. To change the appearance of all of the equations you create, you can modify some of the spacing settings.

Nudging

Nudging provides precise control over the placement of items in an equation. You can adjust selected items horizontally or vertically in 1- pixel increments at the current display scale. Nudging is especially useful for adjusting items in template slots. For example, you may want to nudge an embellishment to the same height as another nearby item. To select an embellishment for nudging, hold down the CTRL key and click the embellishment. See Making Fine Adjustments to an Equation.

By moving one character on top of another, you can create overstrikes and other special combinations of characters, such as these:

You also can use Nudge commands to adjust the spacing between characters ? this type of adjustment is known as kerning. For example, in an expression such as [image], the superscript may look better if you move it farther to the left.

Spacing definitions

If you frequently have to nudge text to the get the results you want, you may want to use the Spacing command on the Format menu to modify the spacing that Equation Editor applies automatically.

Alignment

Five commands on the Format menu are used to align piles or consecutive equations or expressions in slots. You create piles by pressing ENTER after adding items to slots.


Changing Spacing in an Equation

Equation Editor automatically adds the appropriate space between elements. Only when you use Text style will you need to use the SPACEBAR. If you want to add space in an equation or close up the space between two elements, use the following methods.

Position the insertion point where you want to adjust spaces, and then choose one of the following spacing symbols from the Spaces/Ellipses palette, or press the following shortcut keys:

To insert | Description | Press
 | Zero space | SHIFT+SPACEBAR
 | 1-point space | CTRL+ALT+SPACEBAR
 | Thin space (one-sixth em) | CTRL+SPACEBAR
 | Thick space (one-third em) | CTRL+SHIFT+SPACEBAR
 | Em space (quad) | No shortcut key


Making Fine Adjustments to an Equation

With the Nudge commands, you can make fine adjustments to the layout of an equation. For example, you can move a subscript or a superscript, the limits of a summation, or the bar over an X horizontally or vertically in one-pixel (screen dot) increments.

  1. Select the part of the equation that you want to reposition. (To select embellishments and items inserted as parts of templates, see Selecting Items in an Equation.)
  2. Nudge the selected items by using the arrow keys:

To move the selected item(s) | Press
To the left by one pixel | CTRL+LEFT ARROW
Up by one pixel | CTRL+UP ARROW
Down by one pixel | CTRL+DOWN ARROW
To the right by one pixel | CTRL+RIGHT ARROW

Note: If you make large adjustments, you may need to choose the Redraw command from the View menu to update the display.

If you use the Nudge commands with the equation displayed at 400% scale, you can move items in increments of one-fourth of a point. Note that magnification commands are available only if you start Equation Editor as a separate application, or if you open an equation in a word processor by selecting the equation, choosing the Equation Object command on the Edit menu, and then choosing the Open command.


Changing a Spacing Definition in an Equation

Equation Editor automatically applies standard units of spacing, such as subscript depth, numerator height, and fraction bar overhang. You can adjust these settings by using the Spacing command on the Format menu.

  1. From the Format menu, choose Spacing.
  2. Click the text box next to the dimension you want to change.

    The dimension is indicated by arrows in the illustration on the right. You can scroll through the list to see all of the settings.
  3. Type a number or a percentage and choose the OK button.

    When you type a number, Equation Editor assumes that you want to specify points. To change the unit of measurement, add one of the following abbreviations:

Unit | Abbreviation
Inches | in
Centimeters | cm
Millimeters | mm
Points | pt

Tip: You may want to specify the spacing as a percentage of the Full size setting. That way, the spacing stays proportional if you change math element sizes. For example, if the Full size is 12 points and you set a subscript depth of 25 percent, subscripts are shifted to 3 points below the base line of the text. If you change the Full size to 10 points, subscripts are shifted only 2.5 points. To specify a percentage, type a number followed by the percent sign (%).


Aligning an Equation

If the insertion point or selection is anywhere in a pile, all lines in the pile align when you choose a formatting command.

Position the insertion point anywhere in a pile, and then choose one of the following commands from the Format menu, or press the associated key combination:

Command | Action | Shortcut
Align Left | Left-aligns all lines. | CTRL+SHIFT+L
Align Center | Centers all lines. | CTRL+SHIFT+C
Align Right | Right-aligns all lines. | CTRL+SHIFT+R
Align At = | Aligns all lines at their equality/ inequality signs. | No shortcut key
Align At . | Aligns the decimal points in all lines. | No shortcut key

Tip: To align the lines in a pile another way, insert the alignment symbol [image] from the Spaces/Ellipses palette in each line at the point where you want it to align. When you insert the symbols, they automatically align.

For matrices created using one of the templates on the Matrices palette, you can change the column or row alignment using the Matrix command on the Format menu. For information, see Matrix Templates Palette.


Equation Editor Reference

In This Chapter

Menus

Dialogs

Keyboard Guide

Toolbars


Menus

In This Chapter

File Menu

Edit Menu

View Menu

Format Menu

Style Menu

Size Menu

Help Menu


File Menu

The commands on this menu enable you to place or update equations in your document, or to end your Equation Editor session.

Update

Updates the equation in your document without closing the Equation Editor window.

Exit And Return To Name Of Document

Quits and closes all Equation Editor windows and updates the equation in the document if you have made changes.


Edit Menu

The commands on this menu are used to modify the equation in various ways. You can use these commands to move or copy portions of the equation from one place to another by placing them on the Clipboard.

Undo

Reverses the changes from the last command as shown in the text of the menu item. Every command can be undone, back to the point at which the window was opened. This item will be grayed out and will display Can't Undo when there are no more commands to be undone.

Cut

Copies the current selection to the clipboard , and deletes it from the equation.

Copy

Copies whatever is currently selected to the clipboard.

Paste

Inserts the contents of the clipboard into the equation at the insertion point, or replaces whatever is selected with the contents of the clipboard. For this command to be successful, the clipboard must contain an Equation Editor equation.

Clear

Removes whatever is currently selected from the equation. The items removed are not transferred to the clipboard , so this command does not affect the contents of the Clipboard. The effect is the same as if you had pressed the Backspace or Delete key.

Select All

Selects the entire equation, even if the equation is too large to fit into the window. This command is useful for subsequently copying the equation to the clipboard for transfer to a word processing document, or before using the Backspace or Delete keys to delete the entire contents of the equation window.


View Menu

The commands on this menu assign affect the appearance of the Equation Editor window and the way equations are displayed in it.

100%

Displays the equation in the current window at its actual size ? that is, the same size as it will appear in a document or when printed.

200%

Displays the equation in the current window at twice its normal size. This command does not affect the size of the equation in your document.

400%

Displays the equation in the current window at four times its normal size. This is useful for viewing small characters, or for performing minor adjustments using the Nudge commands. This command does not affect the size of the equation in your document.

Zoom

This item displays up the Zoom Dialog, which allows you to change the viewing scale.

Toolbar

This command toggles the display of the entire toolbar. A checkmark next to this menu item indicates that toolbar is currently displayed. See Toolbars for more information.

Redraw

This command redisplays the equation in the current window at the current scale. This is useful for cleaning up the display.

Show All

This command toggles the display of certain special symbols in Equation Editor equations. These symbols include tab characters, explicitly entered spaces, and alignment marks. A checkmark next to this menu item indicates that these special symbols are currently displayed. The special symbols will not be printed or appear in equations that you have inserted into documents.


Format Menu

The commands on this menu control the positioning of equations or mathematical elements of equations. The first five commands control the horizontal alignment (justification) of items in piles and matrices.

Align Left

Moves lines horizontally to align their left-most characters.

Align Center

Moves lines horizontally to align their centers.

Align Right

Moves lines horizontally to align their right-most characters.

Align At =

Moves lines horizontally to align = signs or any other relational operator.

Align At .

Moves lines horizontally to align decimal points with one another. The decimal points may be periods or commas, depending on your country's mathematical conventions.

Matrix

Brings up the Matrix Dialog, allowing you to modify a previously created matrix. To make this command available, either select a matrix or place the insertion point in one of its elements.

Spacing

Brings up the Spacing Dialog, allowing you to set various equation dimensions (e.g. fraction bar thickness) for the entire equation or for new equations.


Style Menu

The commands on this menu assign a style to the selected part of the equation or subsequently typed characters. The current style or the style of the selection (if it is all of one style) is shown in the status bar

For more information, see Changing a Style.

Math

The Math style is the default style for typing mathematics. When the current style is Math, Equation Editor assigns the Variable, Function, Number, or Symbol style automatically based on what you type. If Equation Editor recognizes a sequence of alphabetic characters as a standard abbreviation for a mathematical function (e.g. sin for the sine trigonometric function), it will use the Function style. All other alphabetic characters are assigned the Variable style.

Text

Use the Text style when you want to type a sentence or phrase in English (or other natural language) instead of in math. When in Text style, the spacebar will be enabled to allow you to enter spaces between words.

For more information, see Enter Non-mathematical Text in an Equation.

Function

Use this command to create a function that was not automatically given the Function style.

Variable

Use this command to assign the Variable style to characters that would otherwise be given a different style. For example, sin is a function name that Equation Editor will automatically assign the Function style. You would use this command if you actually wanted to enter three adjacent variables, "s", "i", and "n".

Greek

This command allows you to use the keyboard to type Greek letters. Once this style is active, the letters you type will be given either the L.C. Greek or U.C. Greek style, depending on whether you type a lower-case (small) or upper-case (capital) letter.

For information on entering Greek styles using the keyboard, see Applying Styles.

Matrix-Vector

Mathematical vectors and matrices are sometimes given a bold character style. Use this command to assign the Vector- Matrix style to selected text or subsequently typed characters.

For information on entering Matrix-Vector styles using the keyboard, see Applying Styles.

Other

This command brings up the Other Style Dialog, allowing you to assign a specific font and character style to selected text or subsequently typed characters.

Define

This command brings up the Define Styles Dialog, allowing you to change the font and character style assigned to each style for the entire equation or for new equations.


Size Menu

The commands on this menu assign a typesize or an explicit point size to the current selection or subsequently typed characters. The current size or the size of the selection (if it is all of one size) is shown in the Status Bar.

Full

Assigns the Full typesize either to selected characters or to characters that you type subsequently.

Subscript

Assigns the Subscript typesize either to selected characters or to characters that you type subsequently.

Sub-Subscript

Assigns the Sub-subscript typesize either to selected characters or to characters that you type subsequently.

Symbol

Assigns the Symbol typesize either to selected characters or to characters that you type subsequently.

Sub-Symbol

Assigns the Sub-symbol typesize either to selected characters or to characters that you type subsequently.

Other

Brings up the Other Size Dialog in which you can enter a specific font size in points.

Define

This command brings up the Define Sizes Dialog, allowing you to change the specific point size assigned to each typesize for the entire equation or for new equations. You can also invoke this command by double-clicking on the Size area of the Status Bar.


Help Menu

This menu contains commands that include bringing up Equation Editor's online help and information about the version of Equation Editor you are using.

Equation Editor Help Topics

Opens Equation Editors's online help.

About Kingsoft Equation Editor

This command displays Kingsoft Equation Editor's About box showing you the version of the Equation Editor you are currently using.


Dialogs

In This Chapter

Zoom Dialog

Matrix Dialog

Spacing Dialog

Other Style Dialog

Define Styles Dialog

Other Size Dialog

Define Sizes Dialog


Zoom Dialog

This dialog allows you to change the scale at which you see equations in Equation Editor. Increase the zoom scale to make it easier to see fine details of your equations. Reduce it to see more of your equations on screen. The zoom scale will not affect the size of equations in word processing documents or when they are printed.

Dialog Box Options

Magnification

Select one of the preset magnification levels of 400%, 300%, 200%, or 100%.

Custom

Select Custom to enter a different zoom level (e.g., 150%). The percentage must be between 25% and 400%.

_____________

See also

Changing the Display Size of an Equation


Matrix Dialog

This dialog is used to define or modify the attributes of a matrix template. To create a new matrix, use a Matrix Template. To modify an existing matrix, select it or place the insertion point anywhere in it and choose Matrix from the Format menu.

Dialog Box Options

Column alignment

Choose either Left, Center, Right, At = (relational operator), or At . (decimal point) to align all the matrix elements in all columns. In the current version of Kingsoft Equation Editor, it is not possible to apply alignment to a single column.

# of Columns

Enter the number of columns desired for the matrix. Note that by reducing the number of columns, the contents of the deleted columns will be lost.

Equal column widths

Check this option to force all the columns of the matrix to have the same width.

Row alignment

Choose either Top, Baseline, or Bottom to align all the matrix elements in all rows. In the current version of Kingsoft Equation Editor, it is not possible to apply alignment to a single row.

# of Rows

Enter the number of rows desired for the matrix. Note that by reducing the number of rows, the contents of the deleted rows will be lost.

Equal row heights

Check this option to force all the rows of the matrix to have the same height.

Partition lines

The preview image of the matrix allows you to add partition lines between the rows and columns of the matrix, as well as around the edges. Click between the elements to change the style of the line between the elements. Each click selects a different line style, rotating through solid, dashed, dotted, and none (no line at all).


Spacing Dialog

This dialog is used to view and/or modify the spacing dimensions for the entire equation or for new equations. Click in one of the spacing values to view a descriptive picture to the right that gives you an idea of where the particular dimension will be used in your equations.

Spacing dimensions can be specified as:

  • Percent of Full-size (%)
  • Inches (in)
  • Centimeters (cm)
  • Millimeters (mm)
  • Points (pt)
  • Picas (pi)

To reset all definitions to the Equation Editor preset sizes, choose the Defaults button.

Dialog Box Options

Line Spacing

Specifies the spacing between text lines in an equation.

Matrix Row Spacing

Specifies the spacing between rows in matrix.

Matrix Column Spacing

Specifies the spacing between columns in a matrix.

Superscript Height

Specifies the amount to raise the baseline of text to create a superscript.

Subscript Depth

Specifies the amount to lower the baseline of text to create a subscript.

Limit Height

Specifies the amount to raise the baseline of text above a template symbol such as

or [image].

Limit Depth

Specifies the amount to lower the baseline of text below a template symbol such as [image] or [image].

Limit Line Spacing

Specifies the amount to lower the baseline of additional lines of text below a template symbol such as [image] or [image].

Numerator Height

Specifies the amount to raise the lowest point in the numerator text above the fraction bar.

Denominator Depth

Specifies the amount to lower the baseline of denominator text in a fraction below the fraction bar.

Fraction Bar Overhang

Defines how far the fraction bar extends before and after the longest numerator or denominator.

Fraction Bar Thickness

Specifies the line thickness for fraction and other partition bars.

Sub-Fraction Bar Thickness

Specifies the line thickness for sub-fraction bars (fractions within a fraction).

Fence Overhang

Defines how far fence symbols, such as brackets ([ ]), extend above and below any text or symbols.

Spacing Adjustment

Specifies the spacing between text and symbols (such as +, -, /, etc.) on the same line. This must be a percentage.

Minimum Gap

Specifies the minimum spacing allowed between the numerator, denominator, and fraction bar.

Radical Gap

Specifies the amount to lower text in a radical.

Embellishment Gap

Specifies the amount to raise characters above text to create embellishments. This does not apply to primes; see Prime height.

Prime Height

Specifies the amount to raise the prime character above text.

Cancel

Allows you to quit the dialog box without making any changes, even if you have used the Apply command.

Apply

Lets you preview the effect of your spacing changes. After choosing the Apply button, you can choose either the Cancel button or the OK button. If you choose the Cancel button, the new spacing will not be applied. If you choose the OK button, the new spacing will be applied.

Defaults

Resets all spacing definitions to their Equation Editor preset values.

_____________

See also

Changing a Spacing Definition in an Equation


Other Style Dialog

Use this dialog to assign a particular font and character style to selected characters or subsequently typed characters.

We recommend that you use styles rather than explicit fonts and character styles as much as possible, to take advantage of Equation Editor's "intelligent" application of mathematical typesetting rules.


Define Styles Dialog

This dialog allows you to change the font and character style assigned to each style for the entire equation or for new equations.

Dialog Box Options

Style

Lists the available styles.

Font

The entry in the Font column shows the name of the font currently assigned to the style. To choose a different font, click the [image] next to the font name. The list of fonts shown will depend on the default printer you have selected and the particular fonts you have installed.

Character Format

A check mark under Character Format columns indicates that a style is defined as having bold or italic character formatting. Selecting an empty box places a check mark in it, which indicates that the formatting is selected. Clicking a check mark clears it and removes the formatting.

Cancel

Allows you to leave the Define Styles dialog box without altering anything.

OK

Updates the style definitions to the new ones you have selected. Any equations in open Equation Editor windows will be reformatted to reflect the changes. Equations saved in documents will not be affected unless you open them again in Equation Editor.

_____________

See also

Changing the Definition of a Mathematical Element Size in an Equation

Changing a Style

Style Menu


Other Size Dialog

Use this dialog to assign a particular point size to selected characters or subsequently typed characters. You must enter the size in points (decimal fractions are allowed).

We recommend that you use a system of typesizes rather than explicit sizes as much as possible, to take advantage of Equation Editor's "intelligent" application of mathematical typesetting rules.


Define Sizes Dialog

This dialog is used to view and/or modify the point sizes assigned to typesizes for the entire equation or for new equations. Click in one of the typesize values to view a descriptive picture to the right that gives you an idea of where the particular size will be used in your equations. Equations saved in documents will not be affected unless you edit them again with Equation Editor.

Dialog Box Options

Full

Specifies the font size used for ordinary characters within most slots. The default is 12 points.

Subscript/Superscript

Specifies the font size used for subscripts and superscripts attached to Full-size characters. Also used in limits in integral, summation, and other templates. The default is 7 points.

Sub-Subscript/Superscript

Specifies the font size used for subscripts and superscripts attached to Subscript-size characters or in any other situation that requires a second level of size reduction. Also used for limit slots of templates inside the limits of other templates. For example, the Sub- Subscript size is used for a superscript within a limit of integration. The default is 5 points.

Symbol

Specifies the font size used for the oversize symbols that are part of the templates for integrals, summations, products, and so forth. The default is 18 points.

Sub-Symbol

Specifies the font size used by templates for symbols subscripted or superscripted relative to other characters. The default is 12 points.

Cancel

Allows you to quit the dialog box without making any changes, even if you have used the Apply command.

Apply

Lets you preview the effect of your size changes. After choosing the Apply button, you can choose either the Cancel button or the OK button. If you choose the Cancel button, the new sizes will not be applied. If you choose the OK button, the new sizes will be applied.

Defaults

Resets all size definitions to their Equation Editor preset sizes.

_____________

See also

Changing the Definition of a Mathematical Element Size in an Equation


Keyboard Guide

In This Chapter

Accessing the Toolbar

Inserting Symbols

Inserting Templates

Positioning the Insertion Point

Applying Styles

Applying Embellishments

Adjusting Spacing

Adjusting Alignment

Changing the Display Size


Accessing the Toolbar

To | Press
Move to toolbar | F2
Display a palette | UP OR DOWN ARROW
Select a palette item | UP, DOWN, LEFT, OR RIGHT ARROW
Move to the next or previous palette | LEFT OR RIGHT ARROW
Insert selected palette item | ENTER


Inserting Symbols

Many symbols can be inserted using a CTRL+K, character sequence.

To insert | Representing | Press CTRL+K,
 | Infinity | I
 | Arrow | A
 | Derivative (partial) | D
 | Less than or equal to | <
 | Greater than or equal to | >
 | Times | T
 | Element of | E
 | Not an element of | SHIFT+E
 | Contained in | C
 | Not contained in | SHIFT+C

All of these symbols are characters from the Symbol font, so they can also be inserted by using their ALT key character codes.

You can insert any symbol on a palette by using the keyboard procedure described in Toolbar Overview.


Inserting Templates

Templates can be inserted using a CTRL+character combination or a CTRL+T, character sequence.

Note: Some key combinations are not available with Windows NT.

To insert | Template | Press
 | Parentheses | CTRL+9 or CTRL+0
 | Brackets | CTRL+[ or CTRL+]
 | Braces | CTRL+{ or CTRL+}
 | Fraction | CTRL+F
 | Slash fraction | CTRL+/
 | Superscript (high) | CTRL+H
 | Subscript (low) | CTRL+L
 | Joint sub/ superscript | CTRL+J
 | Integral | CTRL+I
 | Absolute value | CTRL+T,
 | Root | CTRL+R
 | nth root | CTRL+T, N
 | Summation | CTRL+T, S
 | Product | CTRL+T, P
 | Matrix template 3X3 | CTRL+T, M
 | Underscript (limit) | CTRL+T, U

You can insert any template on a palette by using the keyboard procedure described in Toolbar Overview.


Positioning the Insertion Point

Pressing | Moves the insertion point
TAB | To the end of the slot. If the insertion point is at the end of a slot, it moves to the next logical slot.
SHIFT+TAB | To the end of the previous slot.
RIGHT ARROW | Right one unit within the current slot or template.
LEFT ARROW | Left one unit within the current slot or template.
UP ARROW | Up one line.
DOWN ARROW | Down one line.
HOME | To the beginning of the current slot.
END | To the end of the current slot.

Note To insert a tab character in a slot, press CTRL+TAB.


Applying Styles

To choose | Press
Math | CTRL+SHIFT+=
Text | CTRL+SHIFT+E
Function | CTRL+SHIFT+F
Variable | CTRL+SHIFT+I
Greek | CTRL+SHIFT+G
Matrix-Vector | CTRL+SHIFT+B

You can also use keyboard shortcuts to change the style assigned to the next character that you type. When you type the shortcut, the status bar tells you that a special mode is in effect. After you have inserted one character, Equation Editor reverts to the previous style.

To assign | Press
Symbol | CTRL+G
Matrix-Vector | CTRL+B


Applying Embellishments

You can attach an embellishment to the character to the left of the insertion point with keyboard shortcuts.

To apply | Description | Press
 | Overbar | CTRL+SHIFT+HYPHEN
 | Tilde | CTRL+SHIFT+~
 | Arrow (vector) | CTRL+ALT+HYPHEN
 | Single prime | CTRL+ALT+'
 | Double prime | CTRL+SHIFT+"
 | Single dot | CTRL+ALT+PERIOD


Adjusting Spacing

To nudge | Press
Left by 1 pixel | CTRL+LEFT ARROW
Right by 1 pixel | CTRL+RIGHT ARROW
Down by 1 pixel | CTRL+DOWN ARROW
Up by 1 pixel | CTRL+UP ARROW


Adjusting Alignment

To align | Press
Left | CTRL+SHIFT+L
Center | CTRL+SHIFT+C
Right | CTRL+SHIFT+R


Changing the Display Size

To choose | Press
100% | CTRL+1
200% | CTRL+2
400% | CTRL+4
Redraw | CTRL+D
Show All | CTRL+Y

Note: These commands are available only if you start Equation Editor as a separate application, or if you open an equation by selecting the equation in a word processor, choosing the Equation Object command from the Edit menu, and then choosing the Open command. These commands are also available if you right-click the equation in a word processor and then click Open on the shortcut menu.


Toolbars

In This Chapter

Toolbar Overview

Symbol Palettes

Symbol Palettes

Template Palettes

Template Palettes


Toolbar Overview

Equation Editor's toolbar is used to enter symbols and templates into the equation you are working on.

Symbols are single characters such as logic symbols, set theory symbols, and Greek letters. Templates are symbols with one or more empty slots, such as a radical or square root sign. To create such items as fractions, integrals, and summations, insert a template and then fill in its slots.

To insert a symbol or template using the mouse

  1. Click a symbol or template button on the Equation Editor toolbar.

    A palette of symbols or templates appears below the button.

  2. Click the symbol or template you want to add to an equation.

Common symbols and templates are assigned key combinations. For more information, see Keyboard Guide.

See also

Symbol Palettes

Template Palettes


Symbol Palettes

The buttons on the top row of the Equation Editor toolbar are used to insert more than 150 mathematical symbols.

Relational Symbols Palette

Spaces and Ellipses Palette

Embellishments Palette

Operator Symbols Palette

Arrow Symbols Palette

Logical Symbols Palette

Set Theory Symbols Palette

Miscellaneous Symbols Palette

Greek Letters (uppercase) Greek Characters Palettes

_____________

See also

Inserting Non-mathematical Symbols in an Equation

Toolbar Overview

Inserting Symbols

Template Palettes


Symbol Palettes

In This Chapter

Relational Symbols Palette

Spaces and Ellipses Palette

Embellishments Palette

Operator Symbols Palette

Arrow Symbols Palette

Logical Symbols Palette

Set Theory Symbols Palette

Miscellaneous Symbols Palette

Greek Characters Palettes


Relational Symbols Palette

The symbols on this palette each express a relationship between two quantities, most of them involving equality, inequality, or equivalence.

  • The inequality symbols [image], [image], [image], are included. The strict inequality symbols < (less than) and > (greater than) can easily be typed and are not included.
  • The equality symbol = can easily be typed and is not included.
  • and [image] denote partial order relationships.
  • and [image] often are used to indicate that a group is a normal subgroup of another group.
  • , [image], [image] frequently are used to denote equality relationships. The [image] symbol usually indicates that two items are identically equal, and [image] and [image] often denote approximate equality.
  • means "is proportional to" ? not to be confused with the Greek letter [image] (alpha) or the infinity symbol ( [image]).


Spaces and Ellipses Palette

This palette contains the alignment symbol, several spacing symbols, and several types of ellipses.

Alignment symbol The [image] symbol aligns multiple lines in a pile of equations. Position a [image] symbol in each line where you want it to align. Equation Editor shifts the lines to the left or right, aligning the symbols.

Alignment symbols are displayed in the Equation Editor window but not when you add the equation to your document, and the symbols don't print.

Note If you want to align equations at their equality symbols, you can quickly do this by selecting the equations and choosing Align At = from the Format menu.

Spacing symbols The spacing symbols ( [image], [image], [image], [image], [image]) insert five sizes of space in an equation. Use them when you want to adjust the automatic Equation Editor spacing. (The SPACEBAR is not active except in Text style.) See Changing Spacing in an Equation.

For example, you might need to adjust the spacing as you enter the equation

Equation Editor normally would treat the series of letters as sequences of variables and would not insert any spaces within them. To follow typesetting conventions, you would insert a thin space between the r and dr; between the dr and d [image]; and between the dx and dy.

Explicit spaces, like any other characters, can be removed using the Cut and Clear commands and the DELETE and BACKSPACE keys.

Ellipsis symbols (...) An ellipsis is a series of three dots indicating that items have been left out, usually because they are obvious from the context. Equation Editor provides symbols that enter horizontal, vertical, and diagonal rows of dots to indicate various types of omission.

These are especially useful in constructing vectors and matrices. For example, you can create the generic matrix

by entering a 4x4 matrix template within a parentheses fence and then filling its slots with the alignment entries and appropriate ellipsis symbols.

_____________

See also

Understanding Spacing and Alignment in an Equation


Embellishments Palette

Mathematical variables often have primes, hats, bars, and dots attached. Sometimes known as diacriticals or accents, in Equation Editor they are referred to as character embellishments.

To add an embellishment of this type, choose the corresponding symbol. The embellishment is attached to the character to the left of the insertion point. One character can have several embellishments, but only a few of these combinations are useful. Clicking the [image] symbol removes all embellishments from the character to the left of the insertion point.

To add any of the following embellishments, choose its symbol from the palette, or use a shortcut key combination. See Applying Embellishments.

Some uses of these symbols may not be obvious. For example, you can use the slash embellishments at the end of the first row to construct symbols such as [image]. When available, built-in negated symbols such as [image] usually look better than those constructed using the slash embellishment.

To adjust the height of all embellishments, use the Spacing command on the Format menu to change the embellishment gap. If you want to adjust the spacing of an individual embellishment, use the Nudge commands. To select an embellishment for nudging, hold down the CTRL key and click the embellishment. The Nudge commands aren't on a menu; for information about them, see Making Fine Adjustments to an Equation.


Operator Symbols Palette

Each of these symbols represents a mathematical operator of some type.

  • , [image], [image], [image] and [image] represent simple arithmetic operations.
  • *, [image], [image], and [image] usually denote operations on sets or abstract algebraic entities.
  • ° is used for composition of functions.
  • The angle brackets on this palette ( < and > ) generally are used to denote inner product operations. These angle brackets are a fixed size; to get expanding ones, choose the [image] template on the Fences palette.


Arrow Symbols Palette

This palette contains 14 arrow symbols, including several styles of arrows.

  • The arrows in the first two rows have a variety of applications, often relating to convergence to a limit.
  • Those in the third and fourth rows generally denote logical implications.
  • represents a mapping.
  • often is used to represent a carriage return.


Logical Symbols Palette

Eight commonly used logical symbols are grouped on this palette.

  • and [image] stand for "therefore" and "since," respectively.
  • means "such that," and [image] means "there exists."
  • means "for all."
  • The final three symbols stand for "not," "and," and "or," respectively.


Set Theory Symbols Palette

All of these symbols are related to set theory, including symbols for membership, containment, unions and intersections, and the empty set.

Two sets of union and intersection symbols are provided. The lighter symbols in the second row are the ones that standard Symbol fonts provide; the heavier ones in the third row were added to the Symbol font used in Equation Editor. Use the weight that looks best with the expression you're creating. The heavier ones are well suited to summation constructs ? for example, the union of all items in a series of sets.

Note that [image] ? the symbol that indicates set membership ? is not the same as [image], the Greek letter epsilon. Similarly, don't confuse [image] ? the symbol for the empty set ? with the Scandinavian letter o or O.


Miscellaneous Symbols Palette

This palette contains various symbols that either are somewhat obscure or do not fit into other categories.

  • The first two symbols, from calculus, are the partial derivative symbol [image] and the gradient operator [image], which is sometimes known as del or nabla.
  • and [image] represent the real and imaginary parts of complex numbers. represents the Hebrew letter aleph, which generally represents a transfinite cardinal number.
  • Three geometric symbols are included ? the degree symbol °, the angle symbol [image], and the right-angle or perpendicular symbol [image].
  • is a lowercase script l, often requested by typists trying to replicate the symbols in a handwritten manuscript. In a printed document, you should almost always type a normal italic character instead.
  • often represents Weierstrass elliptic functions, sometimes known as p-functions.
  • and [image] often are used in physics ? is known as Planck's constant.

Note Two other calculus symbols ? the italic deltas [image] and [image] ? are not included because they are Greek letters, easily inserted using the CTRL+G shortcut; see Greek Characters Palette.


Greek Characters Palettes

The final two palettes contain symbols for the lowercase and uppercase letters in the Greek alphabet.

You may find it more convenient to insert Greek letters using the keyboard shortcuts instead of choosing the symbols from the palettes. To insert a Greek letter, press CTRL+G, followed by the corresponding English character (use the correct case). For example, to insert [image], press CTRL+G, b, or insert [image] by pressing CTRL+G, D.

Note: Because [image] and [image] are lowercase characters, they are included on the lowercase palette even though they correspond to shifted keystrokes in the Windows Symbol font.


Template Palettes

The buttons on the bottom row of the Equation Editor toolbar are used to insert mathematical templates such as fractions, radicals, sums, integrals, products, matrices, and various types of brackets and braces.

Fence Templates Palette

Fraction and Radical Templates Palette

Subscripts and Superscripts Templates Palette

Summation Templates Palette

Integral Templates Palette

Underbar and Overbar Templates Palette

Labeled Arrows Templates Palette

Products and Set Theory Templates Palette

Matrix Templates Palette

_____________

See also

Toolbar Overview

Inserting Templates

Symbol Palettes


Template Palettes

In This Chapter

Fence Templates Palette

Fraction and Radical Templates Palette

Subscripts and Superscripts Templates Palette

Summation Templates Palette

Integral Templates Palette

Underbar and Overbar Templates Palette

Labeled Arrows Template Palette

Products and Set Theory Templates Palette

Matrix Templates Palette


Fence Templates Palette

This palette provides various ways of enclosing expressions between a matching pair of symbols, known by typesetters as fences or delimiters.

The following fence templates, and variations of them, are available.

Template | Inserts
 | Parentheses
 | Brackets
 | Braces
 | Angle brackets (inner products and so forth)
 | Vertical bars (absolute value, modulus, determinants)
 | Double vertical bars (norms)
 | Floor brackets
 | Ceiling brackets
 | Other combinations denoting various intervals
 | Brackets used in quantum physics

The fences expand automatically to accommodate whatever they enclose, even if an expression includes several lines. You can change the fence overhang (the distance fences extend above and below the items they enclose) using the Spacing command on the Format menu.

To change the size of an individual fence, use the commands on the Size menu. You must hold down the CTRL key when you select the fence that you want to resize.

These parenthesis and bracket fences are useful for constructing vectors and matrices. Parentheses also can be used to create binomial coefficients, as in

Here, the binomial coefficient is a pile consisting of two lines of text enclosed in parentheses. The text was created by typing n, pressing ENTER, and then typing r.

Shortcut key combinations are assigned to the following three fences.

To insert | Template | Press
 | Parentheses | CTRL+9 or CTRL+0
 | Brackets | CTRL+[ or CTRL+]
 | Braces | CTRL+SHIFT+{ or CTRL+SHIFT+}

A horizontal brace can be positioned under or over an expression using the [image] or [image] template. This has a number of uses. For example, you might write a vector consisting of m zeros followed by n ones as

In this case, you would type the parentheses instead of using the expanding parentheses from the Fences palette, because you do not want them to expand to include the m and the n.

One-sided braces are useful for piecewise definitions, as in

or for other situations involving several alternatives. The preceding layout was created by entering a pile consisting of three lines of text in the slot of a { template.


Fraction and Radical Templates Palette

These templates are used for creating fractions, radicals, and long division layouts.

Fractions Vertical fractions in normal and reduced sizes are created using the [image] and [image] templates, respectively. In both of these templates, the primary slot is the numerator slot. The [image] template can be inserted using the keyboard shortcut CTRL+F.

In a reduced-size fraction (a case fraction), the numerator and denominator normally are subscript size and are closer to the fraction bar than in a full-size fraction. Reduced fractions usually are used when the numerator and denominator are just numbers, especially if the equation will be included within a line of text.

In addition to vertical stacked fractions, Equation Editor provides templates such as [image] for several types of "slash" fractions.

Square root and nth root radicals Square root and nth root templates are inserted using the [image] and [image] templates. Both of these radicals expand to accommodate the expressions they enclose, and their shapes are adjusted as they grow larger, as shown in the following illustration.

You can control the amount of space between radicals and their contents by adjusting the radical gap using the Spacing command on the Format menu.

The [image] template can be inserted from the keyboard by pressing CTRL+R.


Subscripts and Superscripts Templates Palette

This palette provides templates for creating subscripts and superscripts and for positioning expressions above and below each other in various other ways.

  • , [image], and [image] are used to attach subscripts and superscripts to an expression. The templates do not create a slot for the expression to which the subscript or superscript is being attached. To indicate this, the large rectangle in each template is shaded.

By inserting one template inside another, you can create multiple levels of subscripting and/or superscripting.

You can control the default positioning of subscripts and superscripts using the Spacing command on the Format menu. To control the default sizes of subscripts and superscripts, use the Define command on the Size menu. To adjust the sizes of individual subscripts and superscripts, use the Other command on the Size menu.

Shortcut key combinations are assigned to three of the templates.

To insert | Template | Press
 | Superscript (high) | CTRL+H
 | Subscript (low) | CTRL+L
 | Joint sub/superscript | CTRL+J

  • and [image] are underscript and overscript templates used to position one expression or piece of text over another. The [image] template reduces the size of the lower expression. The [image] template reduces the upper expression.

    Of the two, the [image] template is the more common. It is used to create expressions such as

    The [image] template sometimes is used to position a character over an equal sign to make a special symbol such as [image], which indicates two quantities are equal by definition.
  • The final two rows of templates are used to attach limits to a large operator such as a summation sign. For example, by inserting a [image] symbol in a [image] template, you can create a direct sum expression like the following one:


Summation Templates Palette

Use the templates on this palette to create various types of sums.

This illustration shows some of the templates' uses:

To create the second and third expressions, which represent repeated sums, insert a summation template in the summand slot of the previous summation template. (In all of the summation templates, the summand slot is the primary slot.) To create the two-line limit in the first summation, press ENTER after typing the first line.

You can control the default limit height, limit depth, and limit line spacing using the Spacing command on the Format menu. To control the default size of all summation signs, use the Define command on the Size menu.

In keeping with the typesetting convention, the size of a summation sign does not change as the summand grows larger. If you want to change the size of an individual summation sign, use the Other command on the Size menu. (Because the summation sign is part of a template, you must hold down the CTRL key to select it.)


Integral Templates Palette

This palette provides templates for 20 forms of integrals, including single integrals, line integrals, double (surface) integrals, and triple (volume) integrals, all with various combinations of limits.

To create repeated integrals, as in

insert a single integral template in the integrand slot of the preceding integral template. (In all integral templates, the primary slot is the integrand slot.)

In most situations, the size of the integral signs does not vary. To get a variable integral sign, hold down the SHIFT key while you choose the template. The integral sign will expand as its integrand gets larger. To insert a (nonexpanding) [image] template from the keyboard, press CTRL+I.


Underbar and Overbar Templates Palette

These templates are used to create expressions with bars above or beneath them.

The bars can be single or double and can denote complex conjugates or closures of sets, as in

Or they can denote upper and lower limits, such as


Labeled Arrows Template Palette

Labeled arrows are created using the six templates in this palette.

Use these templates to describe, for example, convergence to a limit or some property of a function, as in


Products and Set Theory Templates Palette

This palette provides templates for products, coproducts, and set-theoretic intersections and unions.

  • Templates in the first row are used to create products.
  • The corresponding templates in the second row denote coproducts.
  • The final two rows of templates are for creating unions and intersections of sequences of sets.

All of these templates behave much like summation templates.


Matrix Templates Palette

Column vectors, determinants, matrices, and other tabular layouts all are built using templates from this palette.

Usually, you will enclose these templates in expanding parentheses or brackets. Within a matrix template, the entries in all rows are aligned vertically. You can control the default spacing of entries in a row (matrix column spacing) and the spacing between rows (matrix row spacing) using the Spacing command on the Format menu.

Templates in the first three rows give you quick ways to create vectors and matrices of common sizes. The final three are used to create vectors and matrices of arbitrary sizes.

When you choose any of the last three templates, the Matrix dialog box appears so you can specify how many rows and columns your matrix will have. For information on the options in this dialog box, see Matrix Dialog.

You can add various styles of lines to the matrix by clicking between and around the diagram of cells on the left side of the dialog box. This allows you to construct tables such as

If you need to modify an existing matrix, select the matrix by moving the insertion point into any part of it, and then choose Matrix from the Format menu.


Miscellaneous

In This Chapter

Insert Non-mathematical Symbols in an Equation

Entering Non-mathematical Text in an Equation

Using TrueType fonts with Equation Editor


Insert Non-mathematical Symbols in an Equation

You may occasionally want to insert non-mathematical symbols not available on the symbol palettes. To do this, type the symbol in the Equation Editor window. Before you begin typing, use the Other command on the Style menu to choose the font that includes the symbol. Then press the correct key code.


Entering Non-mathematical Text in an Equation

To write a brief non-mathematical phrase, such as "for all" in an expression like

use the Text style mode. In Text mode, alphabetic characters are formatted as plain text, and you can use the SPACEBAR to add spaces between words.

  1. Place the insertion point where you want the text to start.
  2. From the Style menu, choose Text.
  3. Type the text.
  4. To return to the Math style, choose Math from the Style menu.


Using TrueType fonts with Equation Editor

Equation Editor uses TrueType fonts provided with Windows and Windows NT and the TrueType font MT Extra provided with Equation Editor. The fonts Symbol and MT Extra are required for Equation Editor, and the font Times New Roman is strongly recommended. If you do not have MT Extra installed, you should reinstall Equation Editor. Symbol and Times New Roman are installed with Windows.

TrueType fonts are scalable, improve your screen display, and ensure that your screen display closely matches your printed output. Only a single set of TrueType font is used to create a range of font sizes for screen display and printer output. This means you never have to worry about available font sizes. Also, by using TrueType fonts you can print equations on just about any type of printer. If you have Windows or Windows NT, you should use TrueType fonts with Equation Editor.

You can Setting the Default Printer to One that Supports TrueType Fonts.


Troubleshoot Equation Editor problems

In This Chapter

Interpreting Text as a Function Abbreviation

Equations Displaying Incorrectly

Equation Spacing is Incorrect

Font & Style (name) not available on the printer; (name) was substituted

Setting the Default Printer to One that Supports TrueType Fonts


Interpreting Text as a Function Abbreviation

You may encounter formatting problems if you type a word in Math style that includes a function abbreviation. For example, if you type the word single, Equation Editor interprets this as the sine of g times l times e, displaying something like "sin gle". To fix this type of mistake, apply the Text style to the text.


Equations Displaying Incorrectly

After you insert an equation into a document, it may sometimes be displayed with character fonts, styles, or sizes other than those you used to create it. Some possible causes are:

  • Special math characters might display incorrectly if the MT Extra font is not installed. To install this font. re-install Equation Editor, which automatically installs the MT Extra font.
  • Because of the way some screen fonts are designed, the italicized versions of these fonts are offset to the right of where the non-italicized characters would be. When you print italics, there is no offset. Within Equation Editor, the screen italics offset is corrected by special Equation Editor coding. What you see in the Equation Editor window is what the printed equation will look like. However, when you place an equation in a document, you may see the characters shifted. This can be corrected if you use TrueType.

_____________

See also

Setting the Default Printer to One that Supports TrueType Fonts


Equation Spacing is Incorrect

Note the following points when adjusting spacing in an equation:

  • Thin spaces should be inserted between differentials and other symbols, as in dy dx = r dr dq. Equation Editor interprets dydx as d*y*d*x and will not insert the thin space.
  • You may also have to adjust spacing if you use some keyboard characters instead of choosing symbols from the Equation Editor palettes. For example, if you like to write open intervals in the form

    ]a, b[ or [a, b[

    rather than

    (a, b) or [a, b)

    and you type the brackets, the spacing will be incorrect in a formula such as

    [0, 2[ = [0, 1[ [image] [1, 2[
  • Equation Editor spaces the formula correctly if you use the [image] template instead of typing the brackets.
  • You will encounter similar problems if you use the vertical bar on the keyboard to represent absolute value instead of using the Equation Editor template.


Font & Style (name) not available on the printer; (name) was substituted

You may get this error message when Equation Editor starts, after you have changed the default printer with the Windows Control Panel, or after you have installed (or removed) some fonts. It means that Equation Editor cannot find a font used in the definition of one of its styles.

Because your choice of default printer can affect what fonts are available, you may just need to change to a default printer that has the fonts you need. Or you can install fonts for the new default printer by re-installing Equation Editor. (Use the setup program for your application.)

You can also redefine the style to refer to a different font. Use the Define command on the Style menu to change style definitions.


Setting the Default Printer to One that Supports TrueType Fonts

One reason for missing TrueType fonts is that the current default printer is set to a printer that does not support TrueType fonts. For example, the default printer may be the Generic/Text Only printer. You'll need to set a printer that does support TrueType fonts as the default printer.

  1. In Windows, click the Start button, point to Settings, and then click Printers.
  2. If you already have a printer installed that supports TrueType fonts, right-click the printer and then click Set As Default.

If you don't have a printer installed that supports TrueType fonts, double-click Add Printer. Follow the instructions on the screen to install the driver for the printer.

_____________

See also

Equations Displaying Incorrectly


Getting Help

In This Chapter

Technical Support


Technical Support

If you can't solve your problem by reading this help file please contact technical support for the product with which you received Equation Editor.


License Agreements

In This Chapter

Kingsoft Equation Editor's End-User License Agreement


Kingsoft Equation Editor's End-User License Agreement

License Agreement

The accompanying Software and User Documentation are proprietary products owned by Design Science, Inc., and protected under U.S. and international copyright law. Except as authorized under this License Grant, the Software may be used only on computers owned, leased, or otherwise controlled by you and only on one computer at a time. Concurrent use on two or more computers is not permitted without separate authorization and the payment of additional license fees. You may not reverse assemble, reverse compile, or otherwise translate the Software. You may make copies of the software for backup purposes. Except as authorized under this License Grant, no copies of the Software or the User Documentation may be made by you or any person under your authority or control.

Limited Warranty

Design Science makes no warranties, including warranties of merchantability and fitness for a particular purpose. Any remedy under this warranty is limited to return of the Software and the User Documentation to the dealer or to Design Science for replacement or refund.This warranty is valid for 90 days from your date of purchase. Design Science excludes any warranty coverage for incidental or consequential damages. Some states do not allow limitations on implied warranties, so some of the above limitations may not apply to you.


Glossary

In This Chapter

character style

ellipsis

embellishments

equation

fences

insertion point

Math style

matrix

nudging

operator symbol

palette

pile

relational symbol

slot

styles

symbol palettes

symbol

template

template palettes


character style

Equation Editor uses the term character style to refer to stylistic variations of a font, such as bold or italic. Equation Editor supports only plain, italic, bold, and bold-italic styles. Underlines and overlines can be applied using the underbar template.

Be careful not to confuse this term with style.


ellipsis

An ellipsis is a series of three dots indicating that items have been left out, usually because they are obvious from the context. Equation Editor provides symbols that enter horizontal, vertical, and diagonal rows of dots to indicate various types of omissions.


embellishments

Mathematical variables often have primes, hats, bars, and dots attached. Sometimes known as diacriticals or accents, in Equation Editor they are referred to as character embellishments.


equation

A formal statement of the equality or equivalence of mathematical or logical expressions.


fences

Fence characters are symbols such as brackets [ ], parentheses ( ), braces { }, etc. that are used to enclose or "fence" other characters or symbols.

A fence template is a template that uses one or more of these fence characters.


insertion point

The insertion point is a blinking line (or lines) indicating the place in the equation at which characters you type, or symbols and templates you insert, will go.


Math style

When the Math style is in effect, Equation Editor applies a function recognition algorithm to selected characters or to characters you type subsequently. If it recognizes a string of characters as a standard abbreviation for a function name, such as sin for the sine function, the characters will be formatted in the Function style. Otherwise, the Variable style will be used.


matrix

A matrix is an array or table of elements that is used to build column vectors, determinants, matrices, and other tabular layouts.


nudging

Nudging allows you to exercise fine control over the placement of items in an equation. The selected items can be moved horizontally or vertically in steps of 1 pixel at the current display scale. If you use the Nudge commands with the equation displayed at 400%, you can move items in increments of one-fourth of a point.


operator symbol

Mathematical operator symbols, such as the plus or minus sign, indicate an operation that acts on one or more elements. Included are symbols for simple arithmetic operations, operations on sets or abstract algebraic entities, and composition of functions.


palette

A palette is a grouping of related symbols and templates that appear when you click a button on the Equation Editor toolbar. The symbol palettes can be considered simply an extension of your keyboard. Choosing a symbol inserts it into your equation in the same way that pressing a key inserts a character. The template palettes insert formatted collections of symbols and empty slots. To construct an equation, you simply insert templates and then enter expressions in their slots.


pile

A pile is a vertical stack of equations or items in an equation. You create a pile by pressing ENTER at the end of a slot. A new slot opens beneath the current one. You can fill the new slot, press ENTER again, and so forth, forming a vertical stack. A pile can be created from any equation slot. You can have several piles in an equation, or you can have a pile of equations.


relational symbol

A relational symbol expresses a relationship between two quantities, most of them involving equality, inequality, or equivalence.


slot

A slot is a place in the equation that hold symbols and templates. Each slot behaves much like a line of text in a word processor. Empty slots are displayed as a dotted rectangle.


styles

Each character in an Equation Editor equation is either directly assigned a specific font and character style , or is assigned one of eight styles. Equation Editoir's styles are somewhat analogous to text styles in word processing and page layout applications. Each one is defined as a combination of a font and character style (e.g., Times/bold/italic or Symbol/bold). Styles save you from having to worry about fonts and character styles separately, and hence speed up your work and help you maintain consistency in your equations. Also, by changing the definition of a style, you can quickly change the appearance of all the characters that use it.

The styles available in Equation Editor are Text, Function, Variable, Lower-case Greek, Upper-case Greek, Symbol, Vector-Matrix, and Number. Equation Editor will assign certain styles to certain kinds of characters automatically, based on its knowledge of mathematics and typesetting conventions. This intelligent assignment of styles is a unique feature of Equation Editor which significantly increases your productivity and reduces typographical errors.


symbol palettes

The symbol buttons are on the top row of the Equation Editor toolbar. When you click one of the symbol buttons, a palette of symbols is displayed. To insert a symbol from one of the palettes, continue holding the mouse button down and drag the arrow pointer to the symbol you want to insert. When the symbol is highlighted, release the mouse button.


symbol

A symbol is another name for a single character. Symbols are inserted into equations using the symbol palettes or simply typed from the keyboard.


template

A template is a formatted arrangement of nested slots and symbols. Templates are inserted into equations using the template palettes.


template palettes

The template buttons are on the bottom row of the Equation Editor toolbar. When you click one of the template buttons, a palette of templates is displayed. To insert a template from one of the palettes, continue holding the mouse button down and drag the arrow pointer to the template you want to insert. When the template is highlighted, release the mouse button.